SFML 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

FileInputStream Class Reference
System module

This class is a specialization of InputStream that reads from a file on disk. More...

`#include <FileInputStream.hpp>`

## Detailed Description

This class is a specialization of InputStream that reads from a file on disk.

It wraps a file in the common InputStream interface and therefore allows to use generic classes or functions that accept such a stream, with a file on disk as the data source.

In addition to the virtual functions inherited from InputStream, FileInputStream adds a function to specify the file to open.

SFML resource classes can usually be loaded directly from a filename, so this class shouldn't be useful to you unless you create your own algorithms that operate on a InputStream.

Usage example:

void process(InputStream& stream);
FileStream stream;
if (stream.open("some_file.dat"))
process(stream);

InputStream, MemoryStream

The documentation for this class was generated from the following file:

- FileInputStream.hpp